
CoCoALib - Slug #1796

myFinalizeGBasis ("Final clean up") should be more flexible

18 Mar 2024 13:54 - Anna Maria Bigatti

Status: New Start date: 18 Mar 2024

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 30%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.00 hour

Description

We have noticed that sometimes (with SetVerbosityLevel(100)) the time spent in "Final clean up" is quite long.

The current implementation just performs the final interreduction for non-homogeneous input (because doing it after the output is

converted in a normal vector<RingElem> would be slower)

It should be more flexible: sometimes we do not need the full final interreduction.

Related issues:

Related to CoCoALib - Slug #777: SLUG: elimination In Progress 15 Sep 2015

Related to CoCoALib - Slug #1394: Oddly slow GBasis computation (slow final c... Resolved 15 Jan 2020

History

#1 - 18 Mar 2024 14:16 - Anna Maria Bigatti

- Related to Slug #777: SLUG: elimination added

#2 - 18 Mar 2024 18:37 - John Abbott

- Related to Slug #1394: Oddly slow GBasis computation (slow final cleanup) added

#3 - 22 Mar 2024 16:19 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 30

Improved (see #777-12).

Still, could be more clever when computing elimination and some reductions are completely useless.
